This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 160748 - After upgrade to FC4, cyrus-imapd fails with "DBERROR: DB4"
After upgrade to FC4, cyrus-imapd fails with "DBERROR: DB4"
Status: CLOSED DUPLICATE of bug 160317
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-16 22:28 EDT by saul
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-17 10:53:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description saul 2005-06-16 22:28:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
After upgrading to FC4 and the Cyrus IMAP
package from extras, any attempt to do
anything fails with the following syslog
messages:

Jun 16 22:20:53 gateway imaps[11267]: DBERROR A
                                              : db4
Jun 16 22:20:53 gateway imaps[11267]: DBERROR: critical database situation

This, unfortunately, includes reconstruct, so there's
no obvious way out of the problem.


Version-Release number of selected component (if applicable):
cyrus-imapd-2.2.12-6.fc4.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1.Upgrade Cyrus-IMAPD from FC3 to FC4
2.
3.
  

Actual Results:  Cyrus wouldn't start, and wouldn't run.

Expected Results:  A functioning IMAP server.

Additional info:

I've tried everything I can think of, including
rebuilding the package, rebuilding the FC3 package
on FC4, and the like, all with the same results.
Comment 1 Tom Conder 2005-06-16 23:16:32 EDT
I concur. I, too, see this error. My errors look like this:

Jun 16 01:46:02 phyber pop3[17601]: DBERROR <84>Á^H^H: db4
Jun 16 01:46:02 phyber pop3[17601]: DBERROR: critical database situation
Jun 16 01:46:02 phyber imap[17599]: DBERROR ^DA^K^H: db4
Jun 16 01:46:02 phyber pop3s[17602]: DBERROR <84>Á^H^H: db4
Jun 16 01:46:02 phyber master[17600]: about to exec /usr/lib/cyrus-imapd/imapd
Jun 16 01:46:02 phyber imaps[17600]: DBERROR ^DA^K^H: db4
Jun 16 01:46:02 phyber imaps[17600]: DBERROR: critical database situation
Jun 16 01:46:02 phyber pop3s[17602]: DBERROR: critical database situation
Jun 16 01:46:02 phyber imap[17599]: DBERROR: critical database situation
Jun 16 01:46:02 phyber master[24481]: process 17596 exited, status 75
Jun 16 01:46:02 phyber master[24481]: service pop3 pid 17596 in READY state:
terminated abnormally
Jun 16 01:46:02 phyber master[24481]: process 17594 exited, status 75
Comment 2 John Dennis 2005-06-17 10:53:14 EDT
This is a duplicate of bug #160317, please see that bug report as there are
several work around solutions posted there. The last suggestion by Simon Matter
may represent the easiest. If you follow his suggestion I would appreciate your
updating bug #160317 with your results, we would like to ascertain if that is a
viable field solution.

*** This bug has been marked as a duplicate of 160317 ***

Note You need to log in before you can comment on or make changes to this bug.